CVE-2019-11577

NameCVE-2019-11577
Descriptiondhcpcd before 7.2.1 contains a buffer overflow in dhcp6_findna in dhcp6.c when reading NA/TA addresses.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs928105

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
dhcpcd5 (PTS)stretch6.10.1-1fixed
bullseye, sid, buster7.1.0-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
dhcpcd5sourcejessie(not affected)
dhcpcd5sourcestretch(not affected)
dhcpcd5source(unstable)7.1.0-2928105

Notes

[stretch] - dhcpcd5 <not-affected> (Vulnerable code not present)
[jessie] - dhcpcd5 <not-affected> (Vulnerable code not present)
https://roy.marples.name/git/dhcpcd.git/commit/?id=8d11b33f6c60e2db257130fa383ba76b6018bcf6

Search for package or bug name: Reporting problems